create or replace 
package body crm
as

procedure retrieve_customer_contact_data
( p_customer_id in number
, p_first_name       out varchar2
, p_last_name        out varchar2
, p_street           out varchar2
, p_house_number     out varchar2
, p_postal_code      out varchar2
, p_city             out varchar2
, p_country          out varchar2
, p_birthdate        out date
, p_receive_mailings out varchar2  -- Y or N
, p_email_address    out varchar2
, p_telephone        out varchar2
, p_customer_status  out varchar2 -- BRONZE, SILVER, GOLD or nothing at all
)
is
begin
  for r in (select * from crm_customers where id = p_customer_id) loop
    p_first_name       := r.first_name;
    p_last_name        := r.last_name;
    p_street           := r.street;
    p_house_number     := r.house_number;
    p_postal_code      := r.postal_code;
    p_city             := r.city;
    p_country          := r.country;
    p_birthdate        := r.birthdate;
    p_receive_mailings := r.receive_mailings;
    p_email_address    := r.email_address;
    p_telephone        := r.telephone;
    p_customer_status  := r.customer_status;
  end loop;
end retrieve_customer_contact_data;

end;
/
