create or replace 
package crm
as

procedure retrieve_customer_contact_data
( p_customer_id in number
, p_first_name       out varchar2
, p_last_name        out varchar2
, p_street           out varchar2
, p_house_number     out varchar2
, p_postal_code      out varchar2
, p_city             out varchar2
, p_country          out varchar2
, p_birthdate        out date
, p_receive_mailings out varchar2  -- Y or N
, p_email_address    out varchar2
, p_telephone        out varchar2
, p_customer_status  out varchar2 -- BRONZE, SILVER, GOLD or nothing at all
);
end;
/


create table crm_customers
( id                number(5)
, first_name        varchar2(50)
, last_name         varchar2(50)
, street            varchar2(100)
, house_number      varchar2(15)
, postal_code       varchar2(15)
, city              varchar2(50)
, country           varchar2(50)
, birthdate         date
, receive_mailings  varchar2(1)
, email_address     varchar2(100)
, telephone         varchar2(50)
, customer_status   varchar2(10)
)
/

insert into crm_customers
( id
, first_name        
, last_name         
, street            
, house_number     
, postal_code      
, city             
, country
, birthdate        
, receive_mailings 
, email_address    
, telephone        
, customer_status  
)
values
( 1
, 'John'
, 'McEnroe'
, 'Tennisplaza'
, '1'
, '1234AS'
  ,'New York'
  ,'us' 
  , to_date('12-08-1962','DD-MM-YYYY')
  , 'Y'
  , 'mcenroe@isin.com'
  ,'001-32182712'
  ,'GOLD' 
) 
/

insert into crm_customers
( id
, first_name        
, last_name         
, street            
, house_number     
, postal_code      
, city             
, country
, birthdate        
, receive_mailings 
, email_address    
, telephone        
, customer_status  
)
values
( 2
, 'Henk'
, 'Willemsen'
, 'Roodbruin'
, '24'
, '2716NK'
  ,'Zoetermeer'
  ,'nl' 
  , to_date('21-02-1967','DD-MM-YYYY')
  , 'N'
  , 'henkie@dotnot.com'
  ,'0031-79943111'
  ,'BRONZE' 
) 
/


insert into crm_customers
( id
, first_name        
, last_name         
, street            
, house_number     
, postal_code      
, city             
, country
, birthdate        
, receive_mailings 
, email_address    
, telephone        
, customer_status  
)
values
( 3
, 'Helmut'
, 'Kohl'
, 'Bundesstrasse'
, '142'
, '43210 ZA'
  ,'Bonn'
  ,'de' 
  , to_date('12-08-1931','DD-MM-YYYY')
  , 'Y'
  , 'herrkohl@deutsche_mail.de'
  ,'001-231343211'
  ,'SILVER' 
) 
/


insert into crm_customers
( id
, first_name        
, last_name         
, street            
, house_number     
, postal_code      
, city             
, country
, birthdate        
, receive_mailings 
, email_address    
, telephone        
, customer_status  
)
values
( 4
, 'Brian'
, 'Builder'
, 'Brickroad'
, '42'
, 'XCV 645'
  ,'Middleoftheroad'
  ,'uk' 
  , to_date('1-02-1979','DD-MM-YYYY')
  , 'N'
  , 'wendy_and_brian@builders.uk'
  ,'0032-92827161'
  ,'GOLD' 
) 
/

